#!/usr/bin/ruby
# frozen_string_literal: true

# @Author: sun
# @Date:   2021-12-14

require 'sketchup.rb'
require 'extensions.rb'

# ========================

module Cloud_material
  module Cloud_material
    @extversion           = '2.1.0'
    @exttitle             = '云中库'
    @extname              = 'cloudmaterial'
    @old              = 'cloudmaterial.rbe'

    @extdir = File.dirname(__FILE__)
    @extdir.force_encoding('UTF-8') if @extdir.respond_to?(:force_encoding)

    del = File.join(@extdir, @extname, 'cloudmaterial.rbe')
    flag = FileTest::exists?(del)
    if  flag==true
      File.delete(del)
    end
    loader = File.join(@extdir, @extname, 'cloudmaterial.rb')

    extension             = SketchupExtension.new(@exttitle, loader)
    extension.copyright   = "Copyright 2021-#{Time.now.year} @Author:sun"
    extension.creator     = '@Author: sun'
    extension.version     = @extversion
    extension.description = '云中库'

    Sketchup.register_extension(extension, true)
  end 
end 
